Bug in PHP 8.2.20 // Downgrade möglich?  [GELÖST]

Haben Sie einen Bug entdeckt? Teilen Sie es uns mit.
depa
Posts: 7
Joined: Sun 9. Feb 2020, 13:07

Bug in PHP 8.2.20 // Downgrade möglich?

Post by depa »

Hallo,

auf einem Server wurde heute automatisch PHP 8.2 auf die Version 8.2.20 geupdatet.
Dadurch gehen bei uns einige Anwendungen nicht mehr, da in dieser PHP-Version ein Bug enthalten ist.

Siehe: https://github.com/php/php-src/issues/14480

Gibt es eine Möglichkeit, eine ältere PHP 8.2.X Version zu installieren, so dass man diese über Keyhelp nutzen kann?
User avatar
ShortSnow
Posts: 259
Joined: Thu 15. Nov 2018, 00:45

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by ShortSnow »

Hi,

Welche Anwendungen sind bei Dir betroffen? Ein Downgrade ist meines Wissens nicht möglich.

Ich habe erstmal den Haken bei Autoupdate rausgenommen...

Gruß Arne
User avatar
Jolinar
Community Moderator
Posts: 3742
Joined: Sat 30. Jan 2016, 07:11
Location: Weimar (Thüringen)
Contact:

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by Jolinar »

Wäre eine andere 8er PHP Version eine Alternative, bis der Bug behoben ist?
Das Panel bietet ja glaub noch drei weitere 8.x Versionen an...
Wenn jemand inkompetent ist, dann kann er nicht wissen, daß er inkompetent ist. (David Dunning)

Data Collector für Community Support
___
Ich verwende zwei verschiedene Schriftfarben in meinen Beiträgen /
I use two different font colors in my posts:
  • In dieser Farbe schreibe ich als Moderator und gebe moderative Hinweise oder begründe moderative Eingriffe /
    In this color, I write as a moderator and provide moderative guidance or justify moderative interventions
  • In dieser Farbe schreibe ich als Community Mitglied und teile meine private Meinung und persönlichen Ansichten mit /
    In this color, I write as a community member and share my personal opinions and views
depa
Posts: 7
Joined: Sun 9. Feb 2020, 13:07

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by depa »

Hallo,

bei uns ist API Platform betroffen.

Wir müssen bei PHP8.2 bleiben.

Laut Github gibt wohl es eine gepatchte 8.2.20er Version. Evtl. gibt es diese bald für Keyhelp?

---

Ich hatte gehofft, dass Keyhelp intern eventuell einen Shell-Befehl hat, mit dem eine der PHP-Versionen installiert wird und man PHP8.2.18 damit "manuell" auswählen und installieren könnte.
User avatar
Jolinar
Community Moderator
Posts: 3742
Joined: Sat 30. Jan 2016, 07:11
Location: Weimar (Thüringen)
Contact:

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by Jolinar »

depa wrote: Tue 18. Jun 2024, 22:02 Wir müssen bei PHP8.2 bleiben.
Hab grad mal bei mir geschaut, das Panel bietet auch eine 8.3.8 an...Neuere Versionen als die benötigte sollten doch normalerweise kein Problem sein... :roll:

depa wrote: Tue 18. Jun 2024, 22:02 Laut Github gibt wohl es eine gepatchte 8.2.20er Version. Evtl. gibt es diese bald für Keyhelp?
Wenn es eine (offizielle) gepatchte Version gibt, dann werden die Dev's diese auch zeitnah für das Panel verfügbar machen.
Wenn jemand inkompetent ist, dann kann er nicht wissen, daß er inkompetent ist. (David Dunning)

Data Collector für Community Support
___
Ich verwende zwei verschiedene Schriftfarben in meinen Beiträgen /
I use two different font colors in my posts:
  • In dieser Farbe schreibe ich als Moderator und gebe moderative Hinweise oder begründe moderative Eingriffe /
    In this color, I write as a moderator and provide moderative guidance or justify moderative interventions
  • In dieser Farbe schreibe ich als Community Mitglied und teile meine private Meinung und persönlichen Ansichten mit /
    In this color, I write as a community member and share my personal opinions and views
pandinusimperator
Posts: 30
Joined: Tue 24. Aug 2021, 22:34

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by pandinusimperator »

Jolinar wrote: Tue 18. Jun 2024, 22:10
depa wrote: Tue 18. Jun 2024, 22:02 Wir müssen bei PHP8.2 bleiben.
Hab grad mal bei mir geschaut, das Panel bietet auch eine 8.3.8 an...Neuere Versionen als die benötigte sollten doch normalerweise kein Problem sein... :roll:
Die ist laut Github auch betroffen von dem Bug.
User avatar
Jolinar
Community Moderator
Posts: 3742
Joined: Sat 30. Jan 2016, 07:11
Location: Weimar (Thüringen)
Contact:

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by Jolinar »

pandinusimperator wrote: Tue 18. Jun 2024, 22:14 Die ist laut Github auch betroffen von dem Bug.
Ah okay...Das ist natürlich suboptimal.
Wenn jemand inkompetent ist, dann kann er nicht wissen, daß er inkompetent ist. (David Dunning)

Data Collector für Community Support
___
Ich verwende zwei verschiedene Schriftfarben in meinen Beiträgen /
I use two different font colors in my posts:
  • In dieser Farbe schreibe ich als Moderator und gebe moderative Hinweise oder begründe moderative Eingriffe /
    In this color, I write as a moderator and provide moderative guidance or justify moderative interventions
  • In dieser Farbe schreibe ich als Community Mitglied und teile meine private Meinung und persönlichen Ansichten mit /
    In this color, I write as a community member and share my personal opinions and views
User avatar
Alexander
Keyweb AG
Posts: 3979
Joined: Wed 20. Jan 2016, 02:23

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by Alexander »

depa wrote: Tue 18. Jun 2024, 22:02 Wir müssen bei PHP8.2 bleiben.
Welche Software kommt zum Einsatz?

Diese wurde im Zusammenhang mit dem Problem genannt - ist es die? Falls ja, laut composer.json der Software läuft die auch mit PHP 8.1.
Dann kannst du ggf. erstmal auf diese zurück.

PHP 8.1 ist nicht betroffen:
https://3v4l.org/ZsLJ0#v8.2.20


Edit: Ahh, habs gefunden "bei uns ist API Platform betroffen." - Ja dann schalt erstmal runter auf PHP 8.1.

---

Ich eruiere derzeit noch andere Möglichkeiten eines Downgrades, oder Patch.

---

Aktuelle Situation:

Betroffene zusätzliche Interpreter:
PHP 8.2.20
PHP 8.3.8

Betroffene Systeme:
Debian 10, Debian 11, Debian 12

Nicht betroffen:
Ubuntu 20, Ubuntu 22
(hier lasse ich den geplanten Rollout von PHP 8.2.20 und PHP 8.3.8 für heute erstmal sein und warte auf die neuen PHP Versionen)
Mit freundlichen Grüßen / Best regards
Alexander Mahr

**************************************************************
Keyweb AG - Die Hosting Marke
Neuwerkstr. 45/46, 99084 Erfurt / Germany
http://www.keyweb.de - http://www.keyhelp.de
**************************************************************
depa
Posts: 7
Joined: Sun 9. Feb 2020, 13:07

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by depa »

Hallo,

PHP8.1 kann leider nicht verwendet werden.
Es gibt Abhängigkeiten, welche 8.2 erfordern.

Das hatten wir schon durchgetestet...
User avatar
24unix
Posts: 1765
Joined: Sun 21. Jun 2020, 17:16
Location: Kollmar
Contact:

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by 24unix »

depa wrote: Wed 19. Jun 2024, 16:58 Hallo,

PHP8.1 kann leider nicht verwendet werden.
Es gibt Abhängigkeiten, welche 8.2 erfordern.

Das hatten wir schon durchgetestet...
Die Standalone Api-Platform api/platform hat >=8.2, aber Symfony symfony/api-platform hat noch >=8.1.
Evtl. mal in composer.json ändern und ausprobieren, ob sie mit 8.1 läuft?
mfg Micha
--
95% aller Programmier halten sich für genial.
Der Rest immer noch für überdurchschnittlich.
depa
Posts: 7
Joined: Sun 9. Feb 2020, 13:07

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by depa »

24unix wrote: Wed 19. Jun 2024, 17:18 Evtl. mal in composer.json ändern und ausprobieren, ob sie mit 8.1 läuft?
Hatten wir getestet. Geht leider nicht.
User avatar
Jolinar
Community Moderator
Posts: 3742
Joined: Sat 30. Jan 2016, 07:11
Location: Weimar (Thüringen)
Contact:

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by Jolinar »

Du könntest es auch Quick&Dirty angehen und die gewünschte PHP Version an Keyhelp 'vorbei' installieren. Allerdings erfordert das schon etwas tiefergehende Systemkenntnisse, um unerwünschte Seiteneffekte zu vermeiden.
Wenn jemand inkompetent ist, dann kann er nicht wissen, daß er inkompetent ist. (David Dunning)

Data Collector für Community Support
___
Ich verwende zwei verschiedene Schriftfarben in meinen Beiträgen /
I use two different font colors in my posts:
  • In dieser Farbe schreibe ich als Moderator und gebe moderative Hinweise oder begründe moderative Eingriffe /
    In this color, I write as a moderator and provide moderative guidance or justify moderative interventions
  • In dieser Farbe schreibe ich als Community Mitglied und teile meine private Meinung und persönlichen Ansichten mit /
    In this color, I write as a community member and share my personal opinions and views
User avatar
ShortSnow
Posts: 259
Joined: Thu 15. Nov 2018, 00:45

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by ShortSnow »

Hi,

nur als Idee (ungetestet). Würde es nicht funktionieren (wenn er das System nennt), wenn jemand mit dem gleichem System ihm die Dateien unter /opt/keyhelp/php/8.2 zur Verfügung stellt? Sofern derjenige natürlich noch noch php 8.2.18 hat?

Gruß Arne
User avatar
Ralph
Posts: 938
Joined: Mon 30. Mar 2020, 16:14

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by Ralph »

hm, aber Debian 12 hat doch die packaged PHP 8.2 per default onboard:

Code: Select all

PHP 8.2.18 (cli) (built: Apr 11 2024 22:07:45) (NTS)
die sollte sich doch dann auch auswählen lassen oder nicht?

bei Debian 11 (anderes Panel) mit sury.org packages, wurden bislang hier noch keine Probleme gemeldet, ist diese Version auch betroffen?

Code: Select all

PHP 8.2.20 (cli) (built: Jun  8 2024 21:33:21) (NTS)
User avatar
Alexander
Keyweb AG
Posts: 3979
Joined: Wed 20. Jan 2016, 02:23

Re: Bug in PHP 8.2.20 // Downgrade möglich?

Post by Alexander »

Was für ein OS setzt du denn ein, dann bau ich dir die Version nochmal.
Mit freundlichen Grüßen / Best regards
Alexander Mahr

**************************************************************
Keyweb AG - Die Hosting Marke
Neuwerkstr. 45/46, 99084 Erfurt / Germany
http://www.keyweb.de - http://www.keyhelp.de
**************************************************************
Post Reply